<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (17) on Fri May 27 03:09:52 CEST 2022 -->
<title>S-Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-05-27">
<meta name="description" content="index: S">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html#index">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">L</a>&nbsp;<a href="index-9.html">M</a>&nbsp;<a href="index-10.html">N</a>&nbsp;<a href="index-11.html">P</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">U</a>&nbsp;<a href="index-15.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a>
<h2 class="title" id="I:S">S</h2>
<dl class="index">
<dt><a href="../Ability.html#save()" class="member-name-link">save()</a> - Method in class <a href="../Ability.html" title="class in Unnamed Package">Ability</a></dt>
<dd>
<div class="block">Enregistre les informations des caractéristiques</div>
</dd>
<dt><a href="../GamePiece.html#save()" class="member-name-link">save()</a> - Method in class <a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a></dt>
<dd>
<div class="block">Enregistre la pièce</div>
</dd>
<dt><a href="../Game.html#saveGame()" class="member-name-link">saveGame()</a> - Method in class <a href="../Game.html" title="class in Unnamed Package">Game</a></dt>
<dd>
<div class="block">enregistre la partie</div>
</dd>
<dt><a href="../Game.html#select(int,int,GamePiece%5B%5D)" class="member-name-link">select(int, int, GamePiece[])</a> - Method in class <a href="../Game.html" title="class in Unnamed Package">Game</a></dt>
<dd>
<div class="block">cette méthode met ou non une piéce dans la partie</div>
</dd>
<dt><a href="../GamePiece.html#select(GamePiece,GamePiece%5B%5D,Game,GamePiece%5B%5D)" class="member-name-link">select(GamePiece, GamePiece[], Game, GamePiece[])</a> - Method in class <a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a></dt>
<dd>
<div class="block">sélectionne la pièce pour l'importation si elle a été désélectionnée dans l'écran "sélectionner l'équipe".</div>
</dd>
<dt><a href="../GamePiece.html#setDamage(int)" class="member-name-link">setDamage(int)</a> - Method in class <a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a></dt>
<dd>
<div class="block">met à jour les dommages de la pièce</div>
</dd>
<dt><a href="../GamePiece.html#setHealth(int)" class="member-name-link">setHealth(int)</a> - Method in class <a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a></dt>
<dd>
<div class="block">met à jour la santé de la pièce</div>
</dd>
<dt><a href="../GamePiece.html#setImage(java.lang.String)" class="member-name-link">setImage(String)</a> - Method in class <a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a></dt>
<dd>
<div class="block">définit l'image de la pièce (utilisée si nous décidons de changer d'image pour représenter la montée de niveau)</div>
</dd>
<dt><a href="../GamePiece.html#setLevel(int)" class="member-name-link">setLevel(int)</a> - Method in class <a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a></dt>
<dd>
<div class="block">met à jour le niveau du morceau en fonction de l'int qui lui est passé (de 1 à 9)</div>
</dd>
<dt><a href="../Game.html#setTurn(int)" class="member-name-link">setTurn(int)</a> - Method in class <a href="../Game.html" title="class in Unnamed Package">Game</a></dt>
<dd>
<div class="block">Qui va Jouer?</div>
</dd>
<dt><a href="../GamePiece.html#setX(int)" class="member-name-link">setX(int)</a> - Method in class <a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a></dt>
<dd>
<div class="block">met à jour les coordonnées x de la pièce sur le tableau</div>
</dd>
<dt><a href="../GamePiece.html#setXP(int)" class="member-name-link">setXP(int)</a> - Method in class <a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a></dt>
<dd>
<div class="block">définit l'xp de la pièce et met à jour sa santé et ses dégâts en fonction de ce score</div>
</dd>
<dt><a href="../GamePiece.html#setXY(int,int)" class="member-name-link">setXY(int, int)</a> - Method in class <a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a></dt>
<dd>
<div class="block">définit les coordonnées x et y de la pièce (utilisée pour le déplacement) de 0 à 15 en x et de 0 à 11 en y.</div>
</dd>
<dt><a href="../GamePiece.html#setY(int)" class="member-name-link">setY(int)</a> - Method in class <a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a></dt>
<dd>
<div class="block">met à jour les coordonnées y de la pièce sur le tableau</div>
</dd>
<dt><a href="../GamePanel.html#southEastCornerX" class="member-name-link">southEastCornerX</a> - Variable in class <a href="../GamePanel.html" title="class in Unnamed Package">GamePanel</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../GamePanel.html#southEastCornerY" class="member-name-link">southEastCornerY</a> - Variable in class <a href="../GamePanel.html" title="class in Unnamed Package">GamePanel</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../GamePanel.html#southWestCornerX" class="member-name-link">southWestCornerX</a> - Variable in class <a href="../GamePanel.html" title="class in Unnamed Package">GamePanel</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../GamePanel.html#southWestCornerY" class="member-name-link">southWestCornerY</a> - Variable in class <a href="../GamePanel.html" title="class in Unnamed Package">GamePanel</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">L</a>&nbsp;<a href="index-9.html">M</a>&nbsp;<a href="index-10.html">N</a>&nbsp;<a href="index-11.html">P</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">U</a>&nbsp;<a href="index-15.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a></main>
</div>
</div>
</body>
</html>
